### File

`packages/components/eui-dimmer/dimmer.component.ts`

### Description

EuiDimmerComponent provides a dimming overlay on the page.

The dimmer can be manually activated by setting `isDimmerActive` to true, or automatically controlled via browser navigation events.

### Metadata

changeDetection | `ChangeDetectionStrategy.Default`
encapsulation | `ViewEncapsulation.None`
selector | `eui-dimmer`
styleUrls | `./dimmer.scss`

### Index

###### Properties
asService
###### Inputs
e2eAttr isDimmerActive
###### HostBindings
class
###### Accessors
isDimmerActive cssClasses

### Constructor

`constructor()`
Creates an instance of EuiDimmerComponent. Listens to router navigation events to handle dimmer state during navigation, particularly when the user navigates back in browser history.

### Inputs

e2eAttr
Type : `string`
Default value : `'eui-dimmer'`
E2E testing attribute for the component.

isDimmerActive
Type : `boolean`
Gets the active state of the dimmer.

### HostBindings

class
Type : `string`
Gets the CSS classes to apply to the host element. Adds the 'eui-dimmer--active' class when the dimmer is active.

### Properties

asService
Default value : `inject(EuiAppShellService)`

### Accessors

isDimmerActive
get `isDimmerActive()`
Gets the active state of the dimmer. Returns : `boolean`
set `isDimmerActive(value: BooleanInput)`
Sets the active state of the dimmer. Parameters :
Name | Type | Optional | Description
value | `BooleanInput` | No | The value to set for the dimmer active state.
Returns : `void`

cssClasses
get `cssClasses()`
Gets the CSS classes to apply to the host element. Adds the 'eui-dimmer--active' class when the dimmer is active. Returns : `string`

# results matching ""

# No results matching ""